<?php

/**
 * @file
 * Contains commerce_stock_notification.page.inc.
 *
 * Page callback for Stock notification entities.
 */

use Drupal\Core\Render\Element;

/**
 * Prepares variables for Stock notification templates.
 *
 * Default template: commerce_stock_notification.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_commerce_stock_notification(array &$variables) {
  // Fetch StockNotification Entity Object.
  $commerce_stock_notification = $variables['elements']['#commerce_stock_notification'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }
}
